> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diagramkit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a diagram and every version



## OpenAPI

````yaml /openapi.json delete /diagrams/{id}
openapi: 3.1.0
info:
  title: diagramkit API
  version: '1'
  description: >-
    Make, change, animate and download diagrams. Full reference: /docs/api.md on
    diagramkit’s site.
servers:
  - url: https://app.diagramkit.ai/api/v1
security:
  - bearer: []
paths:
  /diagrams/{id}:
    delete:
      summary: Delete a diagram and every version
      operationId: deleteDiagram
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Deleted.
          content:
            application/json:
              schema:
                type: object
                properties:
                  deleted:
                    type: boolean
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: An API key (aid_…) from Settings › API.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.